This document includes math equations (highlighted in red) which are best viewed with Firefox version 4.0 or higher, or another MathML-aware browser. There is also a PDF version of this document.
libdevice User's Guide (PDF) - v8.0 (older) - Last updated September 4, 2016 - Send Feedback -

## 3.12. __nv_atan2f

Prototype:

    float @__nv_atan2f(float %x, float %y)

Description:

Calculate the principal value of the arc tangent of the ratio of first and second input arguments `x` / `y`. The quadrant of the result is determined by the signs of inputs `x` and `y`.

Returns:

Result will be in radians, in the interval [- π /, + π ].

- __nv_atan2f(0, 1) returns +0.

Note:

For accuracy information for this function see the CUDA C Programming Guide, Appendix D.1, Table 6.

Library Availability:

Compute 2.0: Yes

Compute 3.0: Yes

Compute 3.5: Yes